# class Benchmark::IPS::Report::Entry

Represents benchmarking code data for Report.

### Attributes

iterations[R]

Number of Iterations. @return [Integer] number of iterations.

label[R]

Label of entry. @return [String] the label of entry.

measurement_cycle[R]

Number of Cycles. @return [Integer] number of cycles.

microseconds[R]

Measured time in microsecond. @return [Integer] number of microseconds.

stats[R]

Statistical summary of samples. @return [Object] statisical summary.

### Public Class Methods

new(label, us, iters, stats, cycles) click to toggle source

Instantiate the Benchmark::IPS::Report::Entry. @param [#to_s] label Label of entry. @param [Integer] us Measured time in microsecond. @param [Integer] iters Iterations. @param [Object] stats Statistics. @param [Integer] cycles Number of Cycles.

    # File lib/benchmark/ips/report.rb, line 17
    def initialize(label, us, iters, stats, cycles)
      @label = label
      @microseconds = us
      @iterations = iters
      @stats = stats
      @measurement_cycle = cycles
      @show_total_time = false
    end

### Public Instance Methods

body() click to toggle source

Return Entry body text with left padding. Body text contains information of iteration per second with percentage of standard deviation, iterations in runtime. @return [String] Left justified body.

    # File lib/benchmark/ips/report.rb, line 83
    def body
      case Benchmark::IPS.options[:format]
      when :human
        left = "%s (±%4.1f%%) i/s" % [Helpers.scale(@stats.central_tendency), error_percentage]
        iters = Helpers.scale(@iterations)

        if @show_total_time
          left.ljust(20) + (" - %s in %10.6fs" % [iters, runtime])
        else
          left.ljust(20) + (" - %s" % iters)
        end
      else
        left = "%10.1f (±%.1f%%) i/s" % [@stats.central_tendency, error_percentage]

        if @show_total_time
          left.ljust(20) + (" - %10d in %10.6fs" % [@iterations, runtime])
        else
          left.ljust(20) + (" - %10d" % @iterations)
        end
      end
    end

display() click to toggle source

Print entry to current standard output ($stdout).

    # File lib/benchmark/ips/report.rb, line 118
    def display
      $stdout.puts to_s
    end

error_percentage() click to toggle source

Return entry's standard deviation of iteration per second in percentage. @return [Float] +@ips_sd+ in percentage.

    # File lib/benchmark/ips/report.rb, line 73
    def error_percentage
      100.0 * (@stats.error.to_f / @stats.central_tendency)
    end

header() click to toggle source

Return header with padding if +@label+ is < length of 20. @return [String] Right justified header (+@label+).

    # File lib/benchmark/ips/report.rb, line 107
    def header
      @label.to_s.rjust(20)
    end

ips() click to toggle source

LEGACY: Iterations per second. @return [Float] number of iterations per second.

    # File lib/benchmark/ips/report.rb, line 44
    def ips
      @stats.central_tendency
    end

ips_sd() click to toggle source

LEGACY: Standard deviation of iteration per second. @return [Float] standard deviation of iteration per second.

    # File lib/benchmark/ips/report.rb, line 50
    def ips_sd
      @stats.error
    end

runtime()
Alias for: seconds
seconds() click to toggle source

Return entry's microseconds in seconds. @return [Float] +@microseconds+ in seconds.

    # File lib/benchmark/ips/report.rb, line 67
    def seconds
      @microseconds.to_f / 1_000_000.0
    end

Also aliased as: runtime
show_total_time!() click to toggle source

Control if the total time the job took is reported. Typically this value is not significant because it's very close to the expected time, so it's supressed by default.

    # File lib/benchmark/ips/report.rb, line 61
    def show_total_time!
      @show_total_time = true
    end

to_s() click to toggle source

Return string repesentation of Entry object. @return [String] Header and body.

    # File lib/benchmark/ips/report.rb, line 113
    def to_s
      "#{header} #{body}"
    end